.switch {
    position: fixed;
    top: calc(--topbar-h + 24px);
    left: calc(--drawer-w + 48px);
    height: 40px;
    box-sizing: border-box;
    padding: 8px 16px;
    border: 1px solid var(--main-softer);
    border-radius: 6px;
    background-color: var(--main-soft);
    transition: 0.6s;
    z-index: 999;
}

.drawer.open .switch {
    top: calc(--topbar-h + 24px);
    left: calc(--drawer-open-w + 48px);
}

.switch-block {
    position: relative;
    height: 100%;
    width: 100%;
}

.switch-item {
    height: 100%;
    width: calc(100% / 2);
    box-sizing: border-box;
    padding: 4px 12px;
    border-radius: 4px;
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 500;
    cursor: pointer;
    user-select: none;
    transition: 0.6s;
}

.switch-item.active {
    background-color: var(--main-softer);
}